Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class SunFakeTrustSocketFactory

    java.lang.Object
      org.apache.axis.components.net.DefaultSocketFactory
          org.apache.axis.components.net.JSSESocketFactory
              org.apache.axis.components.net.SunJSSESocketFactory
                  org.apache.axis.components.net.SunFakeTrustSocketFactory

All Implemented Interfaces:
  SecureSocketFactory, SocketFactory

public class SunFakeTrustSocketFactory
extends SunJSSESocketFactory

Hook for Axis sender, allowing unsigned server certs

Nested Class Summary
`static class` | `SunFakeTrustSocketFactory.FakeX509TrustManager` Class FakeX509TrustManager

Field Summary

Fields inherited from class org.apache.axis.components.net.JSSESocketFactory
`sslFactory`

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes`

Constructor Summary
`SunFakeTrustSocketFactory(Hashtable attributes)` Constructor FakeTrustSocketFactory

Method Summary
`protected com.sun.net.ssl.SSLContext` | `getContext()` Method getContext

Methods inherited from class org.apache.axis.components.net.SunJSSESocketFactory
`initFactory`

Methods inherited from class org.apache.axis.components.net.JSSESocketFactory
`create`

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.components.net.SocketFactory
`create`

Constructor Detail

### SunFakeTrustSocketFactory

    public SunFakeTrustSocketFactory(Hashtable attributes)

  Constructor FakeTrustSocketFactory

Parameters:
  `attributes` -

Method Detail

### getContext

    protected com.sun.net.ssl.SSLContext getContext()
                                             throws Exception

  Method getContext

  Overrides:
    `getContext` in class `SunJSSESocketFactory`
  Returns:
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.